cln-config(1)

NAME
cln-config - script to get information about the installed version of the CLN library

SYNOPSIS
[--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cppflags]

DESCRIPTION

cln-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use CLN.

OPTIONS

--version
    Print the currently installed version of CLN on the standard output.

--libs
    Print the linker flags that are necessary to link a CLN program.

--cppflags
    Print the compiler flags that are necessary to compile a CLN program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that CLN was built with when computing the output for the --cppflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cppflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that CLN was built with when computing the output for the --cppflags and --libs options. This option must be specified before any --libs or --cppflags options.

AUTHORS
Richard Kreckel <kreckel@ginac.de>
Bruno Haible <haible@clisp.cons.org>

COPYRIGHT
CLN is Copyright © Bruno Haible 1995-2000 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.